> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud/describecloudavailablebandwidthtiers.md).

# DescribeCloudAvailableBandwidthTiers

## 1. API Description

This API is used to query available cloud connect access bandwidth specifications.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Use parameter cloudPortId to query available cloud connect access bandwidth specifications when modifying the bandwidth.</mark>
* <mark style="color:blue;">If the returned result is empty, it indicates that no bandwidth specification is currently available for the Cloud Connect.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="167.24609375">Parameter Name</th><th width="93.5625">Type</th><th width="115.8359375">Required</th><th width="343.6875">Description</th></tr></thead><tbody><tr><td>cloudPortId</td><td>No</td><td>String</td><td>Cloud Connect ID.<br>When modifying the Cloud Connect access bandwidth, use this parameter. All other parameters will be ignored.</td></tr><tr><td>cloudType</td><td>No</td><td>String</td><td><p>Cloud Connect types. Available values:</p><ul><li><code>AWS</code></li><li><code>TENCENT</code></li><li><code>GOOGLE</code></li><li><code>AZURE</code></li><li><code>ALI_CLOUD</code></li><li><code>HUAWEI_CLOUD</code></li><li><code>BYTE_PLUS</code></li><li><code>ORACLE</code></li></ul></td></tr><tr><td>cloudAccountId</td><td>No</td><td>String</td><td>oud account ID.<br>For Google Cloud, pass the value of Pairing Key. See <a href="https://docs.console.zenlayer.com/welcome/cloud-networking/get-started/validate-connection-in-public-cloud/google-cloud-configuration"><strong>Google Cloud Configuration</strong></a> for more details.<br>For Microsoft Azure, pass the value of Service Key. See <a href="https://docs.console.zenlayer.com/welcome/cloud-networking/get-started/validate-connection-in-public-cloud/microsoft-azure-cloud-configuration"><strong>Microsoft Azure Configuration</strong></a> for more details.</td></tr><tr><td>cloudRegionId</td><td>No</td><td>String</td><td>Public cloud region ID.<br>The value is not needed for Google Cloud.</td></tr><tr><td>dcId</td><td>No</td><td>String</td><td>Data center ID.</td></tr><tr><td>vlanId</td><td>No</td><td>Integer</td><td>VLAN ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="216.40625">Parameter Name</th><th width="99.19140625">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>availableBandwidthTiers</td><td>Array of Integer</td><td>Available cloud connect access bandwidth specifications</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query available bandwidth specifications when creating.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudAvailableBandwidthTiers
<Common Request Params>

Request：
{
    "cloudType": "AWS",
    "cloudRegionId": "us-east-1",
    "dcId": "0cd74ed4-e0cf-43c8-9c9b-567a1287227a",
    "vlanId": 1024,
    "cloudPortId": null,
    "cloudAccountId": null
}

Response：
{
    "requestId": "T266C5563-6D98-42E9-8E62-84DF5849F8EC",
    "response": {
        "requestId": "T266C5563-6D98-42E9-8E62-84DF5849F8EC",
        "availableBandwidthTiers": [
            50,
            100,
            200,
            300,
            400,
            500,
            1000,
            2000,
            5000
        ]
    }
}
```

**2. Query available bandwidth specifications when modifying the Cloud Connect bandwidth.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudAvailableBandwidthTiers
<Common Request Params>

Request：
{
    "cloudPortId": "your-cloud-port-id"
}

Response：
{
    "requestId": "T266C5563-6D98-42E9-8E62-84DF5849F8EC",
    "response": {
        "requestId": "T266C5563-6D98-42E9-8E62-84DF5849F8EC",
        "availableBandwidthTiers": [
            50,
            100,
            200,
            300,
            400,
            500,
            1000,
            2000,
            5000
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources <a href="#id-5.-kai-fa-zhe-gong-ju" id="id-5.-kai-fa-zhe-gong-ju"></a>

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).​[公共错误码](https://docs.console.zenlayer.com/test/api-introduction/instruction/commonerrorcode)​

<table><thead><tr><th width="170.9609375">HTTP Status Code</th><th width="307.3515625">Error Code</th><th>Description</th></tr></thead><tbody><tr><td>404</td><td>INVALID_CLOUD_PORT_NOT_FOUND</td><td>Cloud Connect does not exist.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud/describecloudavailablebandwidthtiers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
